/**
 */
package com.mycompany.commerce.catalog.facade.server.entity.datatypes.util;

import com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntry;
import com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntryDescription;
import com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogRoot;

import com.mycompany.commerce.catalog.facade.server.entity.datatypes.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyEntityPackage
 * @generated
 */
public class MyCompanyEntityAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static MyCompanyEntityPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public MyCompanyEntityAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = MyCompanyEntityPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected MyCompanyEntitySwitch modelSwitch =
    new MyCompanyEntitySwitch()
    {
      public Object caseMyCompanyRoot(MyCompanyRoot object)
      {
        return createMyCompanyRootAdapter();
      }
      public Object caseXcareinstruction(Xcareinstruction object)
      {
        return createXcareinstructionAdapter();
      }
      public Object caseXwarranty(Xwarranty object)
      {
        return createXwarrantyAdapter();
      }
      public Object caseMyCompanyCatalogEntryDescription(MyCompanyCatalogEntryDescription object)
      {
        return createMyCompanyCatalogEntryDescriptionAdapter();
      }
      public Object caseMyCompanyCatalogEntry(MyCompanyCatalogEntry object)
      {
        return createMyCompanyCatalogEntryAdapter();
      }
      public Object caseCatalogRoot(CatalogRoot object)
      {
        return createCatalogRootAdapter();
      }
      public Object caseCatalogEntryDescription(CatalogEntryDescription object)
      {
        return createCatalogEntryDescriptionAdapter();
      }
      public Object caseCatalogEntry(CatalogEntry object)
      {
        return createCatalogEntryAdapter();
      }
      public Object defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  public Adapter createAdapter(Notifier target)
  {
    return (Adapter)modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyRoot <em>My Company Root</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyRoot
   * @generated
   */
  public Adapter createMyCompanyRootAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.catalog.facade.server.entity.datatypes.Xcareinstruction <em>Xcareinstruction</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.Xcareinstruction
   * @generated
   */
  public Adapter createXcareinstructionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.catalog.facade.server.entity.datatypes.Xwarranty <em>Xwarranty</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.Xwarranty
   * @generated
   */
  public Adapter createXwarrantyAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyCatalogEntryDescription <em>My Company Catalog Entry Description</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyCatalogEntryDescription
   * @generated
   */
  public Adapter createMyCompanyCatalogEntryDescriptionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyCatalogEntry <em>My Company Catalog Entry</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.mycompany.commerce.catalog.facade.server.entity.datatypes.MyCompanyCatalogEntry
   * @generated
   */
  public Adapter createMyCompanyCatalogEntryAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogRoot <em>Catalog Root</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogRoot
   * @generated
   */
  public Adapter createCatalogRootAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntryDescription <em>Catalog Entry Description</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntryDescription
   * @generated
   */
  public Adapter createCatalogEntryDescriptionAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntry <em>Catalog Entry</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see com.ibm.commerce.catalog.facade.server.entity.datatypes.CatalogEntry
   * @generated
   */
  public Adapter createCatalogEntryAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //MyCompanyEntityAdapterFactory
